package com.changhong.epc.constter.exception;

import com.iemsoft.framework.cloud.core.base.ResMsg;
import com.iemsoft.framework.cloud.core.exception.IEMRuntimeException;

/**
 * 普通异常(无child异常)
 * @author WangYX
 *
 */
public class EPCServiceException extends IEMRuntimeException{

	private static final long serialVersionUID = 1L;

	private ResMsg<?> res;

	public EPCServiceException(String code, String... args) {
		super(code, args);
	}

	public EPCServiceException(Throwable throwable){
		super(throwable.getMessage());
		initCause(throwable);
	}

    public EPCServiceException(ResMsg<?> res) {
        super(res.getRspCode());
        this.res = res;
    }

    public EPCServiceException addCause(Throwable throwable){
		initCause(throwable);
		return this;
	}

	@Override
	public String getMessage() {
		if(res != null){
			return res.getRspMsg();
		}
		return super.getMessage();
	}
}
