package com.changhong.epc.constter.form.utf;


import com.changhong.epc.constter.base.BaseConst;
import lombok.Data;

public interface PublicRestConst extends BaseConst {

	/**
	 * 令牌-key
	 */
	String LOGIN_SECURITY_KEY = "loginSecurity";
	
	/**
	 * 数据-key
	 */
	String DATA_KEY				= "data";
	
	/**
	 * 流水号-key
	 */
	String ID_KEY = "id";
	
	/**
	 * 数字签名-key
	 */
	String SIGN_KEY = "sign";

	/**
	 * 7位接入编号
	 */
	int ACCESS_NUMBER_SIZE 	= 7;
	
	/**
	 * 8位日期值
	 */
	int DATE_INFO_SIZE 		= 8;
	
	/**
	 * 9位唯一序列号
	 */
	int SERIAL_NUMBER_SIZE 	= 9;
	
	/**
	 * id总长度
	 */
	int ID_SUM_SIZE = ACCESS_NUMBER_SIZE + DATE_INFO_SIZE + SERIAL_NUMBER_SIZE;
	

	/**
	 * 安全登录实体
	 * @author WangYX
	 *
	 */
	@Data
	public static class LoginSecurity{
		
		private String 	appKey;
		
		private String 	token;
		
		private Integer	tenantId;
		
		private Integer companyId;
		
		private String openId;
		
		private Integer appId;
		
		private Integer parentAppId;
		
		private Integer serviceId;
		
		private String accessId;
	}
}
