package com.changhong.epc.constter.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import springfox.documentation.annotations.ApiIgnore;

import java.io.Serializable;
import java.util.Date;


@ApiIgnore
@ApiModel(value="用户信息")
@Data
public class UserInfo implements Serializable {

	public static final long serialVersionUID = -7062665145302167469L;

	public static final String FIRST_KEY 	= "first";
	public static final String SECOND_KEY 	= "second";
	public static final String THIRD_KEY	= "third";
	
	private String userCode;
	
	
	//BPS登陆key
	@ApiModelProperty("BPS登陆key")
	private String workFlowCode;
	@ApiModelProperty("租户id")
	private Integer tenantId;
	@ApiModelProperty("公司id")
	private Integer companyId;
	@ApiModelProperty("业务系统id")
	private Integer serviceId;
	private Integer companyCode;
	private Integer tenantCode;
	
	/**
	 * 用户信息
	 */
	@ApiModelProperty("用户id")
	private String uid;
	@ApiModelProperty("用户名称")
	private String userName;
	private String nickName;
	@ApiModelProperty("邮件")
	private String email;
	@ApiModelProperty("手机号码")
	private String phone;
	@ApiModelProperty("注册时间")
	private Date registerTime;
	@ApiModelProperty("修改时间")
	private Date updateTime;
	private String deviceSn;
	private String deviceType;
	private String pkgName;
	private String macAddress;
	private String ipAddress;
	private String emailVerified;
	private String idNumber;
	private String iconURL;
	@ApiModelProperty("真是姓名")
	private String realName;
	private String province;
	private String city;
	private String county;
	private String location;
	private String sex;
	@ApiModelProperty("生日")
	private String birthday;
	private String bloodType;
	private String hotInfoCompanyId;
	private String qq;
		
	private String weixin;
	private String sinaweibo;
	private String taobao;
	
	private String alipay;
	private String university;
	private String major;
	private String personalInfo;
	private String fingerPrint;
	private String fingerURL;
	private String interests;
	private String changeTimes;
	private Date loginTime;
	private String passwordStrength;
	
	private LogInInfo loginInfo;
	
	private String bpsUserName;
	
	private Boolean isSuperManager;

	private String aesOpenId;

	@Data
	public static class LogInInfo{
		
		private String token;
		
		private String userId;
		
		private String openId;
		
		private String livemode;
		
		public LogInInfo(){}
		
		public LogInInfo(String token, String openId){
			this.token = token;
			this.openId =openId;
		}
	}
	
}
