package com.changhong.epc.constter.system.run;

import com.changhong.epc.constter.base.BaseConst;
import com.iemsoft.framework.cloud.core.thread.Keys;
import com.iemsoft.framework.cloud.core.thread.ThreadData;
import com.iemsoft.framework.cloud.core.tools.ObjectUtil;
import com.iemsoft.framework.cloud.ribbon.SimpleRestInterface;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.HttpHeaders;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

@Slf4j
public class EpcRestInterface extends SimpleRestInterface implements BaseConst{

    public EpcRestInterface(String appName) {
        super(appName);
    }

    public static HttpHeaders getEpcHeads() {
        HttpHeaders httpHeaders = new HttpHeaders();
        httpHeaders.add("Cookie", getCookie());
        log.debug("服务间调用，header:{}", httpHeaders.toString());
        return httpHeaders;
    }

    protected static final List<Keys<?>> KEYS =
            Collections.unmodifiableList(Arrays.asList(TOKEN, TENANT_ID, COMPANY_ID, OPEN_ID));

    /**
     * 获得cookie
     * @return
     */
    protected static String getCookie() {
        StringBuilder cookie = new StringBuilder();
        KEYS.stream()
                .filter(key->ObjectUtil.notEmpty(ThreadData.get(key)))
                .forEach(key->
            cookie.append(key.getKey()).append('=').append(ThreadData.get(key)).append(';')
        );
        return cookie.toString();
    }
}
